Bug 117343 - JJ: Border images - Christmas and other seasons templates wanted
Summary: JJ: Border images - Christmas and other seasons templates wanted
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-PhotoLayoutEditor (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2005-11-30 13:32 UTC by Haakon Meland Eriksen
Modified: 2017-08-18 13:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Haakon Meland Eriksen 2005-11-30 13:32:17 UTC
Version:           0.8.0 (using KDE 3.5.0 Level "a" , SUSE 10.0 UNSUPPORTED)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.13-15-default

It would be nice have more border templates available. Here are some suggestions:

- Christmas cards and other seasons suitable for your holiday/religion. Select an image, apply one of several Christmas card templates, and print on photopaper.
- Invitations - party, batism, birthday, wedding, funeral
- Thank you cards for gifts received in association with the above.
- Get well cards and other greeting cards

Here some additional options I would like to see in the templates:

- Title/text -editing - add a short text in your own language to go with the picture
- Font name, size and color selection - in case the default template is not what you want.
Comment 1 Joern Ahrens 2005-12-19 01:25:56 UTC
Yes, indeed. 
That's a good job for everyone who wont add patches but is an artist!
Any volunteers??
Comment 2 caulier.gilles 2005-12-19 07:46:33 UTC
Any contributors (Artists, designers, etc...) Welcome. We have no time to manage this task : we are developpers (:=)))

I recommend to use kde-look.org web site to start a new contest like this one :

http://www.kde-look.org/news/index.php?id=155

... created by Janet Theobroma in the past...

Gilles Caulier

PS : JAnet, if you read these words, please help us (:=))))...
Comment 3 caulier.gilles 2006-07-28 14:21:27 UTC
Janet, 

I CC you about this file. Perhaps doing a new contest about future 0.9.0 release is possible ?

Gilles
Comment 4 caulier.gilles 2008-12-06 17:54:54 UTC
Andi, Marcel,

For this entry, we can include all standard template files to have a suitable tool by default, without to force users to download, uncompress, and copy template in a dedicated way.

What do you think about ?

Gilles Caulier
Comment 5 Marcel Wiesweg 2008-12-07 17:17:46 UTC
I fully agree to make things work out of the box!
Comment 6 caulier.gilles 2012-01-16 08:29:43 UTC
Git commit d8af0907f293559290fb3329a5c0bfd3b54376f8 by Gilles Caulier.
Committed on 16/01/2012 at 09:20.
Pushed by cgilles into branch 'master'.

Remove SuperImpose tool from digiKam image editor. This one been pretty old and used yet Qt3 support class.
PhotoLayoutEditor tool from kipi-plugins must be used now instead. Template support using SVG file have been
added by Lukas during Coding Sprint 2012 at Genoa. It will be avaialble for next release 2.6.0.
CCMAIL: digikam-devel@kde.org
CCMAIL: lukasz.spas@gmail.com
Related: bug 171823, bug 103696, bug 103695

M  +0    -1    imageplugins/TODO
M  +0    -8    imageplugins/decorate/CMakeLists.txt
M  +4    -6    imageplugins/decorate/digikamimageplugin_decorate_ui.rc
M  +1    -16   imageplugins/decorate/imageplugin_decorate.cpp
M  +1    -1    imageplugins/decorate/imageplugin_decorate.h
D  +0    -195  imageplugins/decorate/superimpose/dirselectwidget.cpp
D  +0    -77   imageplugins/decorate/superimpose/dirselectwidget.h
D  +0    -73   imageplugins/decorate/superimpose/superimpose.cpp
D  +0    -72   imageplugins/decorate/superimpose/superimpose.h
D  +0    -317  imageplugins/decorate/superimpose/superimposetool.cpp
D  +0    -71   imageplugins/decorate/superimpose/superimposetool.h
D  +0    -390  imageplugins/decorate/superimpose/superimposewidget.cpp
D  +0    -119  imageplugins/decorate/superimpose/superimposewidget.h

http://commits.kde.org/digikam/d8af0907f293559290fb3329a5c0bfd3b54376f8